/* Test d'utilisation de de plus en plus       */
/* de memoire jusqu'a plantage                 */

public class TestMemoire {

/////////////////////////////////////////////////

  /* Test d'utilisation de de plus en plus     */
  /* de memoire jusqu'a plantage               */
  
  /* Structure de reservation d'un tableau     */
  /* de float pour 1 Mo de memoire             */
  
  static class Structure {
    float [] t = new float[256*1024];
  }
  
  /* Programme principal                       */

  public static void main(String [] args) {
    Structure [] tst = new Structure[1000];
    int i = 0;
    boolean go = true;
    while ( go ) {
      try {
        tst[i] = new Structure();
        Ecran.formater("%10d :%10d\n",i,i*4*256*1024);
        i++; }
      catch (Error error) {
        Ecran.afficherln("Plus de memoire!");
        Ecran.afficherln(error);
        go = false; } }
    Ecran.afficherln(i," Mo reservables");
  }

/////////////////////////////////////////////////
}